## org.hibernate.event.internal
Class DefaultFlushEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractFlushingEventListener
          org.hibernate.event.internal.DefaultFlushEventListener

All Implemented Interfaces:
  Serializable, FlushEventListener

Direct Known Subclasses:
  EJB3FlushEventListener

    public class DefaultFlushEventListener

extends AbstractFlushingEventListener
implements FlushEventListener

Defines the default flush event listeners used by hibernate for flushing session state in response to generated flush events.

See Also:
  Serialized Form

Constructor Summary
`DefaultFlushEventListener()`

Method Summary
`void` `onFlush(FlushEvent event)` Handle the given flush event.

Methods inherited from class org.hibernate.event.internal.AbstractFlushingEventListener
`flushEverythingToExecutions, getAnything, getCascadingAction, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFlushEventListener

    public DefaultFlushEventListener()

Method Detail

### onFlush

    public void onFlush(FlushEvent event)
                 throws HibernateException

  Handle the given flush event.

  Specified by:
    `onFlush` in interface `FlushEventListener`
  Parameters:
    `event` - The flush event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.